<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>
</head>

<body>
   <script>
      function suma(a, b) {
         return new Promise(function (resolve, reject) {
            resolve(a + b)
         })
      }

      function restar(valor, cantidad) {
         return new Promise(function (resolve, reject) {
            resolve(valor - cantidad)
         })
      }
      function esMayorACero(valor) {
         return new Promise(function (resolve, reject) {
            if (valor > 0) {
               resolve('Mayor a cero')
            } else {
               resolve('Menor a cero')
            }
            resolve(a + b)
         })
      }
      const x = 10
      const y = 20

      suma(x, y)
         .then(function (resultado_de_suma) {
            return restar(resultado_de_suma, 15)
            
         })
         .then(function (resultado_de_resta) {
            return esMayorACero(resultado_de_resta, 15)
         })
         .then(function (respuesta) {
            console.log(respuesta)
         })
   </script>
</body>

</html>